# -*- coding: utf-8 -*-
from articles.models import Feed, Article
from django.contrib import admin


class FeedAdmin(admin.ModelAdmin):
    list_display = ('title', 'team', 'user', 'url', 'last_updated')
    list_filter = ('team',)
admin.site.register(Feed, FeedAdmin)


class ArticleAdmin(admin.ModelAdmin):
    list_display = ('title', 'source', 'published', 'imported')
    list_filter = ('source',)
admin.site.register(Article, ArticleAdmin)
