from django.conf.urls.defaults import url, patterns

urlpatterns = patterns('',
    #venues
    url(r'^$', 'venues.views.venue_list', name='venue-list'),
    url(r'^(?P<country>[\w\s]+)/(?P<venue_id>\d+)/detail/$', 'venues.views.venue_detail', name='venue-detail'),
    url(r'^(?P<country>[\w\s]+)/(?P<venue_id>\d+)/edit/$', 'venues.views.venue_update', name='venue-update'),
    url(r'add/$', 'venues.views.venue_new', name='venue-new'),

    # Old urls for compatibility
    url(r'^(?P<venue_id>\d+)/detail/$', 'venues.views.venue_detail', kwargs={'country': ''}),
    url(r'^(?P<venue_id>\d+)/edit/$', 'venues.views.venue_update', kwargs={'country': ''}),
)
