# -*- coding: utf-8 -*-
from django.shortcuts import (render_to_response, get_object_or_404)
from django.template import RequestContext
from .models import Article


def article_detail(request, article_id, article_slug=None):
    """
    detailed view for an article
    """
    article = get_object_or_404(Article, pk=article_id)

    context = {
        'article': article,
    }
    return render_to_response('articles/article_detail.html',
                                context, RequestContext(request))
