import os
import sys

import django.core.handlers.wsgi

sys.stdout = sys.stderr
# add path to sttings to system path if not already there
# check if path is already there to avoid path duplication when
# modwsgi is configured for code reloading
curdir = os.path.abspath(os.path.dirname(__file__))
if curdir not in sys.path:
    sys.path.append(curdir)
parentdir = os.path.join(curdir, '..')
if parentdir not in sys.path:
    sys.path.append(parentdir)

# setup environment
os.environ['DJANGO_SETTINGS_MODULE'] = 'settings'

# setup application
application = django.core.handlers.wsgi.WSGIHandler()

