# -*- coding: utf-8 -*-
from django.contrib import admin
from .models import (Venue, GlobalEvent, TeamEvent, Attendee, TeamEventComment)


class TeamEventAdmin(admin.ModelAdmin):
    list_filter = ('global_event',)
    raw_id_fields = ('venue', 'contact', 'teams', 'global_event')

admin.site.register(Venue)
admin.site.register(GlobalEvent)
admin.site.register(TeamEvent, TeamEventAdmin)
admin.site.register(Attendee)
admin.site.register(TeamEventComment)
