# -*- coding: utf-8 -*-
"""
This file demonstrates two different styles of tests (one doctest and one
unittest). These will both pass when you run "manage.py test".

Replace these with more appropriate tests for your application.
"""

from django.test import TestCase
from meetings.models import AgendaItem


class UnicodeTest(TestCase):

    def setUp(self):
        super(UnicodeTest, self).setUp()
        self.test_string = u'test \xc3 string'

    def test_unicode_agenda_title(self):
        item = AgendaItem(title=self.test_string)
        self.assertEquals(unicode(item), self.test_string)

        child = AgendaItem(title=self.test_string, parent=item)
        self.assertEquals(unicode(child), u'%s->%s' % (self.test_string, self.test_string))
