# loco-team-portal-specific commands.

class ltp {

    file { "$PROJ_DIR/loco_directory/local_settings.py":
        ensure => file,
        source => "$PROJ_DIR/loco_directory/local_settings.py.sample",
        replace => false;
    }

    exec {
        "db_download":
            cwd => "$PROJ_DIR/loco_directory",
            command => "/usr/bin/wget http://people.ubuntu.com/~daker/ltp/ltp.db",
            creates => "$PROJ_DIR/loco_directory/ltp.db";
    }

    exec {
        "managepy_syncdb":
            cwd => "$PROJ_DIR/loco_directory",
            command => "/usr/bin/python manage.py syncdb --noinput",
    }

    exec {
        "managepy_migratedb":
            cwd => "$PROJ_DIR/loco_directory",
            command => "/usr/bin/python manage.py migrate",
    }
}